# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

try:
    from ._models_py3 import Backup
    from ._models_py3 import CapabilitiesListResult
    from ._models_py3 import CapabilityProperties
    from ._models_py3 import Configuration
    from ._models_py3 import ConfigurationForBatchUpdate
    from ._models_py3 import ConfigurationListForBatchUpdate
    from ._models_py3 import ConfigurationListResult
    from ._models_py3 import Database
    from ._models_py3 import DatabaseListResult
    from ._models_py3 import DelegatedSubnetUsage
    from ._models_py3 import ErrorAdditionalInfo
    from ._models_py3 import ErrorResponse
    from ._models_py3 import FirewallRule
    from ._models_py3 import FirewallRuleListResult
    from ._models_py3 import GetPrivateDnsZoneSuffixResponse
    from ._models_py3 import HighAvailability
    from ._models_py3 import Identity
    from ._models_py3 import MaintenanceWindow
    from ._models_py3 import NameAvailability
    from ._models_py3 import NameAvailabilityRequest
    from ._models_py3 import Network
    from ._models_py3 import Operation
    from ._models_py3 import OperationDisplay
    from ._models_py3 import OperationListResult
    from ._models_py3 import ProxyResource
    from ._models_py3 import Resource
    from ._models_py3 import Server
    from ._models_py3 import ServerBackup
    from ._models_py3 import ServerBackupListResult
    from ._models_py3 import ServerEditionCapability
    from ._models_py3 import ServerForUpdate
    from ._models_py3 import ServerListResult
    from ._models_py3 import ServerRestartParameter
    from ._models_py3 import ServerVersionCapability
    from ._models_py3 import Sku
    from ._models_py3 import SkuCapability
    from ._models_py3 import Storage
    from ._models_py3 import StorageEditionCapability
    from ._models_py3 import SystemData
    from ._models_py3 import TrackedResource
    from ._models_py3 import VirtualNetworkSubnetUsageParameter
    from ._models_py3 import VirtualNetworkSubnetUsageResult
except (SyntaxError, ImportError):
    from ._models import Backup  # type: ignore
    from ._models import CapabilitiesListResult  # type: ignore
    from ._models import CapabilityProperties  # type: ignore
    from ._models import Configuration  # type: ignore
    from ._models import ConfigurationForBatchUpdate  # type: ignore
    from ._models import ConfigurationListForBatchUpdate  # type: ignore
    from ._models import ConfigurationListResult  # type: ignore
    from ._models import Database  # type: ignore
    from ._models import DatabaseListResult  # type: ignore
    from ._models import DelegatedSubnetUsage  # type: ignore
    from ._models import ErrorAdditionalInfo  # type: ignore
    from ._models import ErrorResponse  # type: ignore
    from ._models import FirewallRule  # type: ignore
    from ._models import FirewallRuleListResult  # type: ignore
    from ._models import GetPrivateDnsZoneSuffixResponse  # type: ignore
    from ._models import HighAvailability  # type: ignore
    from ._models import Identity  # type: ignore
    from ._models import MaintenanceWindow  # type: ignore
    from ._models import NameAvailability  # type: ignore
    from ._models import NameAvailabilityRequest  # type: ignore
    from ._models import Network  # type: ignore
    from ._models import Operation  # type: ignore
    from ._models import OperationDisplay  # type: ignore
    from ._models import OperationListResult  # type: ignore
    from ._models import ProxyResource  # type: ignore
    from ._models import Resource  # type: ignore
    from ._models import Server  # type: ignore
    from ._models import ServerBackup  # type: ignore
    from ._models import ServerBackupListResult  # type: ignore
    from ._models import ServerEditionCapability  # type: ignore
    from ._models import ServerForUpdate  # type: ignore
    from ._models import ServerListResult  # type: ignore
    from ._models import ServerRestartParameter  # type: ignore
    from ._models import ServerVersionCapability  # type: ignore
    from ._models import Sku  # type: ignore
    from ._models import SkuCapability  # type: ignore
    from ._models import Storage  # type: ignore
    from ._models import StorageEditionCapability  # type: ignore
    from ._models import SystemData  # type: ignore
    from ._models import TrackedResource  # type: ignore
    from ._models import VirtualNetworkSubnetUsageParameter  # type: ignore
    from ._models import VirtualNetworkSubnetUsageResult  # type: ignore

from ._my_sql_management_client_enums import (
    ConfigurationSource,
    CreateMode,
    CreatedByType,
    EnableStatusEnum,
    HighAvailabilityMode,
    HighAvailabilityState,
    IsConfigPendingRestart,
    IsDynamicConfig,
    IsReadOnly,
    ReplicationRole,
    ServerState,
    ServerVersion,
    SkuTier,
)

__all__ = [
    'Backup',
    'CapabilitiesListResult',
    'CapabilityProperties',
    'Configuration',
    'ConfigurationForBatchUpdate',
    'ConfigurationListForBatchUpdate',
    'ConfigurationListResult',
    'Database',
    'DatabaseListResult',
    'DelegatedSubnetUsage',
    'ErrorAdditionalInfo',
    'ErrorResponse',
    'FirewallRule',
    'FirewallRuleListResult',
    'GetPrivateDnsZoneSuffixResponse',
    'HighAvailability',
    'Identity',
    'MaintenanceWindow',
    'NameAvailability',
    'NameAvailabilityRequest',
    'Network',
    'Operation',
    'OperationDisplay',
    'OperationListResult',
    'ProxyResource',
    'Resource',
    'Server',
    'ServerBackup',
    'ServerBackupListResult',
    'ServerEditionCapability',
    'ServerForUpdate',
    'ServerListResult',
    'ServerRestartParameter',
    'ServerVersionCapability',
    'Sku',
    'SkuCapability',
    'Storage',
    'StorageEditionCapability',
    'SystemData',
    'TrackedResource',
    'VirtualNetworkSubnetUsageParameter',
    'VirtualNetworkSubnetUsageResult',
    'ConfigurationSource',
    'CreateMode',
    'CreatedByType',
    'EnableStatusEnum',
    'HighAvailabilityMode',
    'HighAvailabilityState',
    'IsConfigPendingRestart',
    'IsDynamicConfig',
    'IsReadOnly',
    'ReplicationRole',
    'ServerState',
    'ServerVersion',
    'SkuTier',
]
